> For the complete documentation index, see [llms.txt](https://docs-csgo.neverlose.cc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-csgo.neverlose.cc/documentation/variables/rage.md).

# rage

## Structs:

## 🔗 <mark style="color:blue;">`antiaim`</mark>

### :get\_max\_desync

`rage.antiaim:get_max_desync():` <mark style="color:purple;">`number`</mark>

Returns the maximum amount of desync.

### :get\_rotation

`rage.antiaim:get_rotation([value: boolean]):` <mark style="color:purple;">`number`</mark>

<table><thead><tr><th width="150">Name</th><th width="162.52330706200414">Type</th><th width="410.3276962436035">Description</th></tr></thead><tbody><tr><td><strong>value</strong></td><td><strong><code>boolean</code></strong></td><td>Optional. If <mark style="color:purple;"><code>true</code></mark>, fake rotation will be returned.</td></tr></tbody></table>

Returns the current anti-aim rotation.

### :get\_target

`rage.antiaim:get_target([return_fr: boolean]):` <mark style="color:purple;">`number`</mark>

<table><thead><tr><th width="150">Name</th><th width="162.52330706200414">Type</th><th width="410.3276962436035">Description</th></tr></thead><tbody><tr><td><strong>return_fr</strong></td><td><strong><code>boolean</code></strong></td><td>Optional. If <mark style="color:purple;"><code>true</code></mark>, freestanding yaw will be returned.</td></tr></tbody></table>

Returns the at target yaw rotation or nil if not available.

### :inverter

`rage.antiaim:inverter([value: boolean]):` <mark style="color:purple;">`boolean`</mark>

<table><thead><tr><th width="150">Name</th><th width="162.52330706200414">Type</th><th width="410.3276962436035">Description</th></tr></thead><tbody><tr><td><strong>value</strong></td><td><strong><code>boolean</code></strong></td><td>Optional. Inverter state.</td></tr></tbody></table>

Gets or sets the state of the anti-aim inverter.

### :override\_hidden\_pitch

`rage.antiaim:override_hidden_pitch(value: number):` <mark style="color:purple;">`number`</mark>

<table><thead><tr><th width="150">Name</th><th width="162.52330706200414">Type</th><th width="410.3276962436035">Description</th></tr></thead><tbody><tr><td><strong>value</strong></td><td><strong><code>number</code></strong></td><td>Hidden pitch value.</td></tr></tbody></table>

Overrides the hidden pitch to the desired value.

### :override\_hidden\_yaw\_offset

`rage.antiaim:override_hidden_yaw_offset(value: number):` <mark style="color:purple;">`number`</mark>

<table><thead><tr><th width="150">Name</th><th width="162.52330706200414">Type</th><th width="410.3276962436035">Description</th></tr></thead><tbody><tr><td><strong>value</strong></td><td><strong><code>number</code></strong></td><td>Hidden yaw offset value.</td></tr></tbody></table>

Overrides the hidden yaw offset to the desired value.

## 🔗 <mark style="color:blue;">`exploit`</mark>

### :get

`rage.exploit:get():` <mark style="color:purple;">`number`</mark>

Returns the exploit charge as a unit interval (value in the range \[0, 1]).

### :allow\_charge

`rage.exploit:allow_charge([value: boolean])`

<table><thead><tr><th width="150">Name</th><th width="162.52330706200414">Type</th><th width="410.3276962436035">Description</th></tr></thead><tbody><tr><td><strong>value</strong></td><td><strong><code>boolean</code></strong></td><td>Optional. If <mark style="color:purple;"><code>true</code></mark>, allows exploit charge. If <mark style="color:purple;"><code>false</code></mark>, blocks exploit charge. Defaults to <mark style="color:purple;"><code>true</code></mark></td></tr></tbody></table>

Allows/blocks exploit charge.

### :allow\_defensive

`rage.exploit:allow_defensive([value: boolean])`

<table><thead><tr><th width="150">Name</th><th width="162.52330706200414">Type</th><th width="410.3276962436035">Description</th></tr></thead><tbody><tr><td><strong>value</strong></td><td><strong><code>boolean</code></strong></td><td>Optional. If <mark style="color:purple;"><code>true</code></mark>, allows the cheat to discharge defensive exploit. If <mark style="color:purple;"><code>false</code></mark>, blocks defensive exploit discharge. Defaults to <mark style="color:purple;"><code>true</code></mark></td></tr></tbody></table>

Allows/blocks defensive exploit discharge.

### :force\_teleport

`rage.exploit:force_teleport()`

### :force\_charge

`rage.exploit:force_charge()`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-csgo.neverlose.cc/documentation/variables/rage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
